.fi-flexbox {
    width: 100%;
}

.fi-flexbox .fi-flexbox-item {
    flex-grow: var(--ffb-grow);
    flex-shrink: var(--ffb-shrink);
    flex-basis: var(--ffb-basis);
}

.fi-flexbox.fi-flexbox--item-defaults .fi-flexbox-item {
    flex-grow: var(--ffb-grow, 1);
    flex-shrink: var(--ffb-shrink, 1);
    flex-basis: var(--ffb-basis, auto);
}

@media (min-width: 640px) {
    .fi-flexbox .fi-flexbox-item {
        flex-grow: var(--ffb-grow-sm, var(--ffb-grow));
        flex-shrink: var(--ffb-shrink-sm, var(--ffb-shrink));
        flex-basis: var(--ffb-basis-sm, var(--ffb-basis));
    }
}

@media (min-width: 768px) {
    .fi-flexbox .fi-flexbox-item {
        flex-grow: var(--ffb-grow-md, var(--ffb-grow-sm, var(--ffb-grow)));
        flex-shrink: var(--ffb-shrink-md, var(--ffb-shrink-sm, var(--ffb-shrink)));
        flex-basis: var(--ffb-basis-md, var(--ffb-basis-sm, var(--ffb-basis)));
    }
}

@media (min-width: 1024px) {
    .fi-flexbox .fi-flexbox-item {
        flex-grow: var(--ffb-grow-lg, var(--ffb-grow-md, var(--ffb-grow-sm, var(--ffb-grow))));
        flex-shrink: var(--ffb-shrink-lg, var(--ffb-shrink-md, var(--ffb-shrink-sm, var(--ffb-shrink))));
        flex-basis: var(--ffb-basis-lg, var(--ffb-basis-md, var(--ffb-basis-sm, var(--ffb-basis))));
    }
}

@media (min-width: 1280px) {
    .fi-flexbox .fi-flexbox-item {
        flex-grow: var(--ffb-grow-xl, var(--ffb-grow-lg, var(--ffb-grow-md, var(--ffb-grow-sm, var(--ffb-grow)))));
        flex-shrink: var(--ffb-shrink-xl, var(--ffb-shrink-lg, var(--ffb-shrink-md, var(--ffb-shrink-sm, var(--ffb-shrink)))));
        flex-basis: var(--ffb-basis-xl, var(--ffb-basis-lg, var(--ffb-basis-md, var(--ffb-basis-sm, var(--ffb-basis)))));
    }
}

@media (min-width: 1536px) {
    .fi-flexbox .fi-flexbox-item {
        flex-grow: var(--ffb-grow-2xl, var(--ffb-grow-xl, var(--ffb-grow-lg, var(--ffb-grow-md, var(--ffb-grow-sm, var(--ffb-grow))))));
        flex-shrink: var(--ffb-shrink-2xl, var(--ffb-shrink-xl, var(--ffb-shrink-lg, var(--ffb-shrink-md, var(--ffb-shrink-sm, var(--ffb-shrink))))));
        flex-basis: var(--ffb-basis-2xl, var(--ffb-basis-xl, var(--ffb-basis-lg, var(--ffb-basis-md, var(--ffb-basis-sm, var(--ffb-basis))))));
    }
}
